## at-spi2-atk 2.20.1

=== debian/changelog ===
at-spi2-atk (2.20.1-2ubuntu1) yakkety; urgency=medium

  * Merge with debian unstable, remaining changes:
    - Ship at-spi2-atk.desktop in a location where unity-settings-daemon can
      use it as well.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 31 May 2016 08:27:46 +1000

at-spi2-atk (2.20.1-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)

  [ Martin Pitt ]
  * debian/90atk-adaptor: Export $GTK_MODULES to dbus user session as well.
    (Closes: #825831).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 May 2016 20:09:10 +0200

at-spi2-atk (2.20.1-1ubuntu1) yakkety; urgency=medium

  * Merge with debian unstable, remaining changes:
    - Ship at-spi2-atk.desktop in a location where unity-settings-daemon can
      use it as well.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 28 Apr 2016 11:52:11 +0200

at-spi2-atk (2.20.1-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * debian/patches/p2p: Dropped, applied upstream
  * debian/patches/main_context: Refreshed

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Apr 2016 01:37:29 +0200

at-spi2-atk (2.18.1-3) unstable; urgency=medium

  * patches/p2p: New patch to fix accessibility in Debian installer running in
    debian Live.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Mar 2016 01:26:25 +0100

=== debian/control ===
Source: at-spi2-atk
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>,
           Jordi Mallach <jordi@debian.org>,
           Mario Lang <mlang@debian.org>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-a11y/at-spi2-atk.git;a=summary
Vcs-Git: git://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
Homepage: https://wiki.gnome.org/Accessibility
Build-Depends: debhelper (>= 9.20150628),
               dh-autoreconf,
               libdbus-1-dev, libdbus-glib-1-dev,
               libatk1.0-dev (>= 2.15.4),
               libglib2.0-dev,
               libx11-dev,
               libatspi2.0-dev (>= 2.17.90)
Standards-Version: 3.9.8

Package: libatk-adaptor
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: at-spi
Replaces: at-spi
Provides: at-spi
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgail-common
Description: AT-SPI 2 toolkit bridge
 This package includes a gtk-module that bridges ATK to the new
 D-Bus based AT-SPI.

Package: libatk-adaptor-udeb
Architecture: any
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: AT-SPI 2 toolkit bridge - module for d-i
 This package includes the gtk-module for the debian installer.

Package: libatk-adaptor-data
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Replaces: libatk-adaptor-schemas
Conflicts: libatk-adaptor-schemas
Description: AT-SPI 2 toolkit bridge - transitional dummy package
 This package is a dummy transitional package. It can be safely removed.

Package: libatk-bridge2.0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: AT-SPI 2 toolkit bridge - shared library
 This package contains the ATK bridge shared library.

Package: libatk-bridge-2.0-0-udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Package-Type: udeb
Description: AT-SPI 2 toolkit bridge - shared library for d-i
 This package contains the ATK bridge shared library, for the debian installer.

Package: libatk-bridge2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libatk-bridge2.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.4.1-2),
         libatspi2.0-dev
Description: Development files for the AT-SPI 2 toolkit bridge
 These are the development files for libatk-bridge2.0, needed for
 compilation of programs which use it.

## at-spi2-atk 2.22.0

=== debian/changelog ===
at-spi2-atk (2.22.0-2) unstable; urgency=medium

  * patches/git-7cdc1f91c9802b0b8ecd2afea38c1717b1921736: Fix GList handling
    resulting in memory corruption.
  * patches/git-8d3cc68f7bc62c7015d986212be0d5d776920ee2: Fix use after free
    when returned objects hold only one ref.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 May 2017 21:35:33 +0200

at-spi2-atk (2.22.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/init: Drop patch, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Oct 2016 22:09:42 +0200

at-spi2-atk (2.20.1-4) unstable; urgency=medium

  * patches/init: Properly return initialization failure when bridge is
    disabled.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Aug 2016 21:00:09 +0200

at-spi2-atk (2.20.1-3) unstable; urgency=medium

  * control: Remove libgail-common dependency, now that gtk recommends it
    already.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Aug 2016 20:46:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: at-spi2-atk
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>,
            Jordi Mallach <jordi@debian.org>,
            Mario Lang <mlang@debian.org>
@@ -26,8 +25,7 @@
 Replaces: at-spi
 Provides: at-spi
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgail-common
+         ${shlibs:Depends}
 Description: AT-SPI 2 toolkit bridge
  This package includes a gtk-module that bridges ATK to the new
  D-Bus based AT-SPI.

## at-spi2-atk 2.26.0

=== debian/changelog ===
at-spi2-atk (2.26.0-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining change:
    - Provide compatibility with unity-settings-daemon

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Sep 2017 21:17:18 -0400

at-spi2-atk (2.26.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control:
    - Bump libatk1.0-dev dependnecy to >= 2.25.2
    - Bump libatspi2.0-dev dependency to >= 2.25.3

  [ Samuel Thibault ]
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Sep 2017 21:07:56 -0400

at-spi2-atk (2.24.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Drop patches applied in new release:
    - git-7cdc1f91c9802b0b8ecd2afea38c1717b1921736
    - git-8d3cc68f7bc62c7015d986212be0d5d776920ee2

  [ Samuel Thibault ]
  * control: Remove Mario from Uploaders (Closes: Bug#840862).
  * control: Update maintainer mailing list.
  * Use canonical anonscm vcs URL.

  [ Paul Gevers ]
  * Rewrite d/copyright with some aid of cme

 -- Paul Gevers <elbrus@debian.org>  Tue, 04 Jul 2017 20:37:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: at-spi2-atk
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>,
-           Jordi Mallach <jordi@debian.org>,
-           Mario Lang <mlang@debian.org>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-a11y/at-spi2-atk.git;a=summary
-Vcs-Git: git://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
+           Jordi Mallach <jordi@debian.org>
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
 Homepage: https://wiki.gnome.org/Accessibility
 Build-Depends: debhelper (>= 9.20150628),
                dh-autoreconf,
                libdbus-1-dev, libdbus-glib-1-dev,
-               libatk1.0-dev (>= 2.15.4),
+               libatk1.0-dev (>= 2.25.2),
+               libatspi2.0-dev (>= 2.25.3),
                libglib2.0-dev,
-               libx11-dev,
-               libatspi2.0-dev (>= 2.17.90)
-Standards-Version: 3.9.8
+               libx11-dev
+Standards-Version: 4.1.0
 
 Package: libatk-adaptor
 Architecture: any
@@ -41,7 +41,6 @@
 Package: libatk-adaptor-data
 Architecture: all
 Section: oldlibs
-Priority: extra
 Depends: ${misc:Depends}
 Replaces: libatk-adaptor-schemas
 Conflicts: libatk-adaptor-schemas

## at-spi2-atk 2.26.1

=== debian/changelog ===
at-spi2-atk (2.26.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build with meson
  * Enable all hardening flags
  * Bump debhelper compat to 10
  * Update debian/watch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 25 Nov 2017 23:29:18 -0500

at-spi2-atk (2.26.0-2) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bicha ]
  * Provide compatibility with unity-settings-daemon

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Remove old libatk-adaptor-data transitional package
    (Closes: Bug#878204).

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 27 Oct 2017 23:21:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: at-spi2-atk
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>,
            Jordi Mallach <jordi@debian.org>
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
 Homepage: https://wiki.gnome.org/Accessibility
-Build-Depends: debhelper (>= 9.20150628),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10.3~),
                libdbus-1-dev, libdbus-glib-1-dev,
                libatk1.0-dev (>= 2.25.2),
                libatspi2.0-dev (>= 2.25.3),
                libglib2.0-dev,
-               libx11-dev
-Standards-Version: 4.1.0
+               libxml2-dev (>= 2.9.1),
+               libx11-dev,
+               meson (>= 0.40)
+Standards-Version: 4.1.1
 
 Package: libatk-adaptor
 Architecture: any
@@ -37,15 +37,6 @@
 Package-Type: udeb
 Description: AT-SPI 2 toolkit bridge - module for d-i
  This package includes the gtk-module for the debian installer.
-
-Package: libatk-adaptor-data
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}
-Replaces: libatk-adaptor-schemas
-Conflicts: libatk-adaptor-schemas
-Description: AT-SPI 2 toolkit bridge - transitional dummy package
- This package is a dummy transitional package. It can be safely removed.
 
 Package: libatk-bridge2.0-0
 Section: libs

## at-spi2-atk 2.26.2

=== meson_options.txt ===
option('disable_p2p',
       description: 'Disable peer-to-peer DBus connections',
       type: 'boolean',
       value: false)

=== debian/changelog ===
at-spi2-atk (2.26.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Mar 2018 10:54:43 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>,
            Jordi Mallach <jordi@debian.org>
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/at-spi2-atk.git
+Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-atk
+Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-atk.git
 Homepage: https://wiki.gnome.org/Accessibility
 Build-Depends: debhelper (>= 10.3~),
                libdbus-1-dev, libdbus-glib-1-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_test:
	# Tests fail

override_dh_makeshlibs:
	dh_makeshlibs -plibatk-bridge2.0-0 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4

override_dh_strip:
	dh_strip -plibatk-adaptor --ddeb-migration='libatk-adaptor-dbg (<< 2.18.1-2~)'
	dh_strip -plibatk-adaptor-udeb
	dh_strip -plibatk-bridge2.0-0 --ddeb-migration='libatk-bridge2.0-0-dbg (<< 2.18.1-2~)'
	dh_strip -plibatk-bridge-2.0-0-udeb

## at-spi2-atk 2.30.0

=== debian/changelog ===
at-spi2-atk (2.30.0-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #922882)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Feb 2019 20:39:40 +0100

at-spi2-atk (2.30.0-4) unstable; urgency=medium

  * Move 90atk-adaptor.conf to /etc to allow administrators to disable it if
    needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 16:15:06 +0100

at-spi2-atk (2.30.0-3) unstable; urgency=medium

  * 90atk-adaptor.conf: Set gail & atk in GTK_MODULES in Wayland sessions too.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 16:01:21 +0100

at-spi2-atk (2.30.0-2) unstable; urgency=medium

  * Team upload
  * Build with -Wl,-z,defs -Wl,--as-needed
  * debian/copyright: Drop obsolete autotools references

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 04 Oct 2018 10:24:31 -0400

at-spi2-atk (2.30.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Bump libatk1.0-dev to >= 2.29.92 and libatspi2.0-dev to >= 2.29.91
  * Build-Depend on at-spi2-core, dbus & xvfb for build tests
  * debian/rules: run build tests

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.2.0 (no changes).

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Sep 2018 20:03:40 -0400

at-spi2-atk (2.26.2-2) unstable; urgency=high

  * control: Make sure we upgrade libatk-bridge2.0-0 along libatk-adaptor.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Apr 2018 13:49:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,19 @@
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-atk
 Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-atk.git
 Homepage: https://wiki.gnome.org/Accessibility
-Build-Depends: debhelper (>= 10.3~),
+Build-Depends: at-spi2-core <!nocheck>,
+               dbus <!nocheck>,
+               debhelper (>= 10.3~),
                libdbus-1-dev, libdbus-glib-1-dev,
-               libatk1.0-dev (>= 2.25.2),
-               libatspi2.0-dev (>= 2.25.3),
+               libatk1.0-dev (>= 2.29.92),
+               libatspi2.0-dev (>= 2.29.91),
                libglib2.0-dev,
                libxml2-dev (>= 2.9.1),
                libx11-dev,
-               meson (>= 0.40)
-Standards-Version: 4.1.1
+               meson (>= 0.40),
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.2.0
 
 Package: libatk-adaptor
 Architecture: any
@@ -25,7 +29,8 @@
 Replaces: at-spi
 Provides: at-spi
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         libatk-bridge2.0-0 (>= ${binary:Version})
 Description: AT-SPI 2 toolkit bridge
  This package includes a gtk-module that bridges ATK to the new
  D-Bus based AT-SPI.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --buildsystem=meson
+	dh $@
 
 override_dh_auto_test:
-	# Tests fail
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	dbus-run-session -- xvfb-run dh_auto_test
+endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibatk-bridge2.0-0 --add-udeb=libatk-bridge-2.0-0-udeb -V -- -c4

## at-spi2-atk 2.32.0

=== debian/changelog ===
at-spi2-atk (2.32.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump libatk1.0-dev to >= 2.31.1 and libatspi2.0-dev to >= 2.31.2

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Mar 2019 01:28:07 -0400

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                dbus <!nocheck>,
                debhelper (>= 10.3~),
                libdbus-1-dev, libdbus-glib-1-dev,
-               libatk1.0-dev (>= 2.29.92),
-               libatspi2.0-dev (>= 2.29.91),
+               libatk1.0-dev (>= 2.31.1),
+               libatspi2.0-dev (>= 2.31.2),
                libglib2.0-dev,
                libxml2-dev (>= 2.9.1),
                libx11-dev,
@@ -71,4 +71,3 @@
 Description: Development files for the AT-SPI 2 toolkit bridge
  These are the development files for libatk-bridge2.0, needed for
  compilation of programs which use it.
-

## at-spi2-atk 2.34.0

=== debian/changelog ===
at-spi2-atk (2.34.0-3~bpo10+1) buster-backports; urgency=medium

  * Backport to buster.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Oct 2019 21:08:03 +0200

at-spi2-atk (2.34.0-3) unstable; urgency=medium

  * rules, tests/tests: Prevent Xvfb from resetting between clients, it
    seems to be creating a period of time during which clients can't connect
    (Closes: Bug#940018)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Sep 2019 15:07:53 +0200

at-spi2-atk (2.34.0-2) unstable; urgency=medium

  * tests/dbus-daemon: Send all dbus output to stdout, for debuggability

 -- Samuel Thibault <sthibault@debian.org>  Fri, 13 Sep 2019 11:47:39 +0200

at-spi2-atk (2.34.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Sep 2019 23:01:58 +0200

at-spi2-atk (2.33.92-1) experimental; urgency=medium

  * New usptream beta release.
    - patches/tests: upstreamed.
    - patches/test_nanosleep: upstreamed.
    - patches/tests-fix: upstreamed.
    - patches/cache-adaptor: upstreamed.
    - patches/desktop_name_init: upstreamed.
  * control: Fix libatk1.0-dev build-dep version according to artificial
    atk1.0 version bump (Closes: #935782)
  * control, tests/control: Bump dependency on at-spi2-core to get fix in
    get_items.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Sep 2019 00:50:15 +0200

at-spi2-atk (2.33.91-1) experimental; urgency=medium

  * New usptream release (Closes: #935247)
    - control: Bump libatk1.0-dev and libatspi2.0-dev build-dep versions
      accordingly.
    - patches/lazy_reg: upstreamed.
    - patches/main_context: upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Aug 2019 22:33:25 +0200

at-spi2-atk (2.32.0-8) UNRELEASED; urgency=medium

  * tests/tests: Fix temporary directory path.
  * tests/control: Use @builddeps@ instead of copying them.
  * libatk-adaptor.lintian-overrides: Suppress some warning.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 01:23:40 +0200

at-spi2-atk (2.32.0-7) unstable; urgency=medium

  * rules: Run xvfb before dbus session, to make sure dbus doesn't catch host
    X display.
  * debian/tests/tests: Do not start at-spi session by hand, dbus should be
    doing it.
  * debian/tests/use_system_atk_adaptor.patch: Move to debian/patches.
  * patches/desktop_name_init: Fix orca -s startup.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Aug 2019 11:44:19 +0200

at-spi2-atk (2.32.0-6) unstable; urgency=medium

  * patches/cache-adaptor: Fix crash when no toolkit name is set
  * tests/tests: Do not completely drop stderr, log it to stdout.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Aug 2019 20:14:43 +0200

at-spi2-atk (2.32.0-5) unstable; urgency=medium

  * patches/test_nanosleep: Increase timeout to 2m, mips64el seems to need a
    long time.
  * patches/tests-fix: Fix float values to be representable exactly.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Aug 2019 10:48:27 +0200

at-spi2-atk (2.32.0-4) unstable; urgency=medium

  * patches/tests: Really run tests.
  * patches/test_nanosleep: Accelerate tests.
  * tests: Run tests in autopkgtest.
  * rules: Make xvfb-run allocate a server number.
  * control: Depend on at-spi2-core which does not produce spurious warnings
    which make the testsuite fail.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 Aug 2019 19:30:31 +0200

at-spi2-atk (2.32.0-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * patches/lazy_reg: Defer registration to at-spi, in case the application
    doesn't actually run the at-spi glib loop (Closes: #934093)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 20 Aug 2019 22:03:20 +0200

at-spi2-atk (2.32.0-2~bpo10+1) buster-backports; urgency=medium

  * Backport to buster.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2019 22:49:38 +0200

at-spi2-atk (2.32.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jul 2019 19:37:08 +0200

## at-spi2-atk 2.34.1

=== debian/changelog ===
at-spi2-atk (2.34.1-3) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/tests/tests: Make autopkgtests cross-test-friendly
    (Closes: Bug#946292).

  [ Samuel Thibault ]
  * debian/tests/tests: Use cross-pkg-config.
  * debian/control: Drop libdbus-glib-1-dev build-dep, unused.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
  Repository-Browse.
  * Remove unused license definitions for GPL-2+.
  * Update standards version to 4.4.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 18 Mar 2020 17:48:58 +0100

at-spi2-atk (2.34.1-2) unstable; urgency=medium

  * patches/startup_events: Fix announcement of firefox startup.
  * libatk-bridge2.0-0.symbols: Update accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Dec 2019 23:19:46 +0100

at-spi2-atk (2.34.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Update debian/gbp.conf

  [ Samuel Thibault ]
  * watch: Generalize pattern.

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 10 Oct 2019 06:45:47 -0400

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
 Homepage: https://wiki.gnome.org/Accessibility
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
-               debhelper (>= 10.3~),
-               libdbus-1-dev, libdbus-glib-1-dev,
-               libatk1.0-dev (>= 2.31.1),
-               libatspi2.0-dev (>= 2.31.2),
+               debhelper-compat (= 12),
+               libdbus-1-dev,
+               libatk1.0-dev (>= 2.33.3+really2.33.3),
+               libatspi2.0-dev (>= 2.33.92),
                libglib2.0-dev,
                libxml2-dev (>= 2.9.1),
                libx11-dev,
                meson (>= 0.40),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 
 Package: libatk-adaptor
 Architecture: any

=== debian/tests/control ===
Tests: tests
Depends: build-essential,
         @builddeps@,
         libatk-bridge2.0-dev,
         xauth, xvfb, dbus, at-spi2-core (>= 2.33.92)

## at-spi2-atk 2.34.2

=== debian/changelog ===
at-spi2-atk (2.34.2-0ubuntu2~20.04.1) focal; urgency=medium

  * No-change backport from groovy to focal. (LP: #1877093)

 -- Iain Lane <iain.lane@canonical.com>  Sat, 09 May 2020 14:50:02 +0100

at-spi2-atk (2.34.2-0ubuntu2) groovy; urgency=medium

  * Bring back use_system_atk_adaptor.patch, which is still used by the tests.
    Don't put it in debian/patches, otherwise when you use gbp pq it'll be
    dropped as unused. Put it in debian/test-patches/ instead, and then you
    can use `QUILT_PATCHES=debian/test-patches/ quilt push -a` to change it if
    you need to.

 -- Iain Lane <iain.lane@canonical.com>  Sat, 09 May 2020 14:49:18 +0100

at-spi2-atk (2.34.2-0ubuntu1) groovy; urgency=medium

  [ Samuel Thibault ]
  * control: Update alioth list domain.

  [ Iain Lane ]
  * New upstream release
    + Meson: don't hard-code shared_library
    + Mitigate missing window events at startup
    + Set C standard to gnu99
    + Tests: include sys/time.h

 -- Iain Lane <iain.lane@canonical.com>  Wed, 06 May 2020 11:22:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: at-spi2-atk
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>,
            Jordi Mallach <jordi@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-atk

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	dbus-run-session -- xvfb-run dh_auto_test
+	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
 endif
 
 override_dh_makeshlibs:

## at-spi2-atk 2.38.0

=== meson_options.txt ===
option('disable_p2p',
       description: 'Disable peer-to-peer DBus connections',
       type: 'boolean',
       value: false)
option('tests',
       description: 'Whether to build tests',
       type: 'boolean',
       value: true)

=== debian/changelog ===
at-spi2-atk (2.38.0-4~bpo11+1) bullseye-backports; urgency=medium

  * Backport to bullseye.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 07 Apr 2022 13:50:31 +0200

at-spi2-atk (2.38.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/control: Remove unnecessary version constraints.

  [ Samuel Thibault ]
  * patches/collapsed: Add support for ATSPI_STATE_COLLAPSED/
    ATK_STATE_COLLAPSED.
    - control: Bump atk1.0 build-dep to get ATK_STATE_COLLAPSED.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Mar 2022 20:49:43 +0200

at-spi2-atk (2.38.0-3) unstable; urgency=medium

  * libatk-adaptor.lintian-overrides: Play cat and mice again with lintian
    warning suppression.
  * control: Bump Standards-Version to 4.6.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:14:28 +0100

at-spi2-atk (2.38.0-2) unstable; urgency=medium

  * control: Set Rules-Requires-Root to no
  * rules: Drop ddeb-migration rules, now useless.
  * libatk-bridge2.0-0.lintian-overrides: avoid warning about package name vs
    soname.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 18 Sep 2021 17:48:22 +0200

at-spi2-atk (2.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sat, 12 Sep 2020 21:49:15 +0200

at-spi2-atk (2.37.90-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * New upstream beta
    - control: Bump libatk1.0-dev build-dep version.
  * control: Update alioth list domain.
  * rules: Drop now-default -Wl,--as-needed option.
  * control: Bump Standards-Version to 4.5.0 (no change)

  [ Iain Lane ]
  * New upstream release
    + Meson: don't hard-code shared_library
    + Mitigate missing window events at startup
    + Set C standard to gnu99
    + Tests: include sys/time.h
    + patches/startup_events: upstreamed

  [ Marcus Tomlinson ]
  * control: Make libatk-bridge2.0-dev depend on libatk1.0-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Aug 2020 17:33:29 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,18 @@
 Homepage: https://wiki.gnome.org/Accessibility
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libdbus-1-dev,
-               libatk1.0-dev (>= 2.33.3+really2.33.3),
+               libatk1.0-dev (>= 2.38.0~),
                libatspi2.0-dev (>= 2.33.92),
                libglib2.0-dev,
-               libxml2-dev (>= 2.9.1),
+               libxml2-dev,
                libx11-dev,
-               meson (>= 0.40),
+               meson,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 
 Package: libatk-adaptor
 Architecture: any
@@ -41,7 +42,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Package-Type: udeb
 Description: AT-SPI 2 toolkit bridge - module for d-i
- This package includes the gtk-module for the debian installer.
+ This package includes the gtk-module for the Debian installer.
 
 Package: libatk-bridge2.0-0
 Section: libs
@@ -58,7 +59,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Package-Type: udeb
 Description: AT-SPI 2 toolkit bridge - shared library for d-i
- This package contains the ATK bridge shared library, for the debian installer.
+ This package contains the ATK bridge shared library, for the Debian installer.
 
 Package: libatk-bridge2.0-dev
 Section: libdevel
@@ -66,7 +67,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          libatk-bridge2.0-0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.4.1-2),
+         libatk1.0-dev,
+         libglib2.0-dev,
          libatspi2.0-dev
 Description: Development files for the AT-SPI 2 toolkit bridge
  These are the development files for libatk-bridge2.0, needed for
